@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;800&display=swap");

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Poppins", sans-serif;
}

::selection {
    background-color: #0b372dbb;
}

.logo {
    width: 100px;
}

header {
    position: absolute;
    z-index: 9999;
    width: 100%;
    padding: 0.9rem 0;
    top: 0;
    left: 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

header nav {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header ul {
    display: flex;
    list-style: none;
    align-items: center;
}

header ul a {
    text-decoration: none;
    color: #fff;
    padding: 0 1.5rem;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 0.83rem;
}

.search a {
    font-size: 1.05rem;
    padding: 0 3rem;
}

.hamburger {
    padding-left: 1.5rem;
}

.hamburger a {
    padding: 0;
    width: 37px;
    height: 37px;
    display: flex;
    border-radius: 50%;
    background-color: rgba(115, 115, 115, 0.7);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
}

.hamburger .bar {
    position: relative;
    width: 52%;
    /* height: 1.3px; */
    height: 1px;
    background-color: #fff;
    border-radius: 2px;

}

.hamburger .bar::before,
.hamburger .bar::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 60%;
    height: 1px;
    /* height: 100%; */
    background-color: inherit;
    border-radius: 5px;
}

.hamburger .bar::before {
    top: -4.5px;
}

.hamburger .bar::after {
    bottom: -4.5px;
}

main {
    position: relative;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}

.parallax {
    pointer-events: none;
    transition: 0.45s cubic-bezier(.2, .49, .32, .99);
}

.bg-img {
    position: absolute;
    z-index: 1;
    width: 194.44%;
    /* 2800 194.44%       14.4      */
    top: calc(50% - 47.56%);
    /* 390 - 48.14        8.2       */
    left: calc(50% + 0.69%);
    /* 10 - 0.69          14.45     */
}

.fog-7 {
    position: absolute;
    z-index: 2;
    width: 132%;
    /* 1900px - 132% */
    top: calc(50% - 12.3%);
    /* 100px - 12.3% */
    left: calc(50% + 20.8%);
    /* 300px - 20.8% */
}

.mountain-10 {
    position: absolute;
    z-index: 3;
    width: 60.42%;
    top: calc(50% + 8.41%);
    left: calc(50% + 15.92%);
}

.fog-2 {
    position: absolute;
    z-index: 4;
    width: 127.29%;
    top: calc(50% + 11.58%);
    left: calc(50% + 0.48%);
}

.mountain-9 {
    position: absolute;
    z-index: 5;
    width: 32.15%;
    top: calc(50% + 14.51%);
    left: calc(50% - 31.63%);
}

.mountain-8 {
    position: absolute;
    z-index: 6;
    width: 54.58%;
    top: calc(50% + 11.7%);
    left: calc(50% - 13.98%);
}

.fog-3 {
    position: absolute;
    z-index: 7;
    width: 31.18%;
    top: calc(50% + 20.85%);
    left: calc(50% + 2%);
}

.mountain-7 {
    position: absolute;
    z-index: 8;
    width: 35.76%;
    top: calc(50% + 16.34%);
    left: calc(50% + 21.11%);
}

.text {
    position: absolute;
    z-index: 9;
    top: calc(50% - 15.85%);
    left: 50%;
    text-align: center;
    text-transform: uppercase;
    pointer-events: auto;
    color: #fff;
}

.text h2 {
    font-weight: 100;
    font-size: 6.5rem;
    line-height: 0.88;
}

.text h1 {
    font-weight: 800;
    font-size: 8rem;
    line-height: 0.88;
}

.mountain-6 {
    position: absolute;
    z-index: 10;
    width: 26.63%;
    top: calc(50% + 10.55%);
    left: calc(50% + 40.83%);
}

.fog-4 {
    position: absolute;
    z-index: 11;
    width: 37.71%;
    height: 85.37%;
    top: calc(50% + 29.51%);
    left: calc(50% - 4.43%);
}

.mountain-5 {
    position: absolute;
    z-index: 12;
    width: 40.49%;
    top: calc(50% + 42.68%);
    left: calc(50% + 7.27%);
}

.fog-5 {
    position: absolute;
    z-index: 13;
    width: 99.65%;
    top: calc(50% + 20.73%);
    left: calc(50% - 1.94%);
}

.mountain-4 {
    position: absolute;
    z-index: 14;
    width: 49.79%;
    top: calc(50% + 26.95%);
    left: calc(50% - 26.4%);
}

.mountain-3 {
    position: absolute;
    z-index: 15;
    width: 29.1%;
    top: calc(50% + 16.22%);
    left: calc(50% + 55.36%);
}

.fog-6 {
    position: absolute;
    z-index: 16;
    width: 187.5%;
    height: 48.78%;
    top: calc(50% + 28.05%);
    left: calc(50% + 6.92%);
}

.mountain-2 {
    position: absolute;
    z-index: 17;
    width: 43.4%;
    top: calc(50% + 22.93%);
    left: calc(50% + 28.51%);
}

.mountain-1 {
    position: absolute;
    z-index: 18;
    width: 31.25%;
    top: calc(50% + 14.02%);
    left: 7.96%;
}

.sun-rays {
    position: absolute;
    z-index: 19;
    top: 0;
    right: 0;
    width: 41.32%;
    pointer-events: none;
}

.black-shadow {
    position: absolute;
    z-index: 20;
    bottom: 0;
    right: 0;
    width: 100%;
    pointer-events: none;
}

.fog-1 {
    position: absolute;
    z-index: 21;
    width: 180.55%;
    top: 50%;
    left: 50%;
}

.vignette {
    position: absolute;
    z-index: 100;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: radial-gradient(ellipse at center, rgba(0, 0, 0, 0) 65%, rgba(0, 0, 0, 0.7));
    pointer-events: none;
}

footer {
    position: absolute;
    z-index: 9999;
    bottom: 0;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #0b372d;
    color: #fff;

}


@media (max-width: 1100px) {
    .text h1 {
        font-size: 5.8rem;
    }

    .text h2 {
        font-size: 4.7rem;
    }
}

@media (max-width: 725px) {
    .text h1 {
        font-size: 5rem;
        line-height: 1.1;
    }

    .text h2 {
        font-size: 4.1rem;
        line-height: 1.1;
    }

    header nav {
        padding: 0 1rem;
    }

    .logo {
        width: 75px;
    }

    header ul a {
        font-size: 0.73rem;
        padding: 0 0.9rem;
    }

    .search a {
        font-size: 0.85rem;
        padding: 0 1.8rem;
    }

    .hamburger {
        padding-left: 0.9rem;
    }

    .hamburger a {
        width: 30px;
        height: 30px;
    }

    .bg-img {
        width: initial;
        height: 311.104%;
    }

    .fog-7 {
        width: initial;
        height: 211.2%;
    }

    .mountain-10 {
        width: initial;
        height: 96.672%;
    }

    .mountain-9 {
        width: initial;
        height: 51.44%;
    }

    .mountain-8 {
        width: initial;
        height: 87.328%;
    }

    .fog-3 {
        width: initial;
        height: 49.888%;
    }

    .mountain-7 {
        width: initial;
        height: 57.216%;
    }

    .mountain-6 {
        width: initial;
        height: 42.608%;
    }

    .fog-4 {
        width: initial;
        height: 60.336%;
    }

    .mountain-5 {
        width: initial;
        height: 64.784%;
    }

    .fog-5 {
        width: initial;
        height: 159.44%;
    }

    .mountain-4 {
        width: initial;
        height: 79.664%;
    }


    .mountain-3 {
        width: initial;
        height: 46.56%;
    }

    .mountain-2 {
        width: initial;
        height: 69.44%;
    }

    .mountain-1 {
        width: initial;
        height: 50%;
    }

    .fog-1 {
        top: 80%;
    }

    footer {
        height: 30%;
    }
}

@media (max-width: 520px) {
    .text h1 {
        font-size: 3.3rem;
    }

    .text h2 {
        font-size: 2.6 rem;
    }

    footer {
        height: 50%;
    }
}